$(function() {
	var isSetting, modify;
	var gestureTxt = ['设置手势密码', '设置手势密码'];
	$('.tologin').on('click', function() {
		outlogin();
		mui.openWindow({
			id: 'login'
		});
		var webview = plus.webview.getWebviewById('gesture-password');
		plus.webview.hide(webview);
	});
	
	var length = document.body.offsetWidth * 0.8;
	var lockerClassName = mui.className('locker');
	mui('.' + lockerClassName).locker({
		width: length,
		height: length,
		ringColor: 'rgba(203,203,203,1)',
		fillColor: '#fff',
		pointColor: 'RGB(253,154,61)',
		lineColor: 'RGB(253,154,61)'
	});
	
	
	window.addEventListener('init', function(event) {
		$('.password-error').text('');
		isSetting = event.detail.isSetting;
		modify = event.detail.modify;
		var userName = event.detail.userName;
		if(isSetting) {
			$('.gesture-subhead').text(gestureTxt[1]);
			$('.gesture-bottom-container').hide();
		} else {
			if(userName){
				var user = userName.replace(/(\d{3})(\d{4})(\d{4})/, "$1****$3");
			}
			$('.gesture-subhead').text(user);
		}
	});
	
	mui.plusReady(function() {
		$('.password-error').text('');
		var locker = document.querySelector('.mui-locker');
		locker.style.display = 'block';
		var record = [];
		var tryNumber = 5;
		locker.addEventListener('done', function(event) {
			var rs = event.detail;
			if(isSetting) {
				if(rs.points.length < 4) {
					$('.password-error').text('至少需连接4个点，请重新绘制');
					record = [];
					rs.sender.clear();
					return;
				}
				record.push(rs.points.join(''));
				if(record.length >= 2) {
					if(record[0] == record[1]) {
						plus.nativeUI.toast('手势绘制成功');
						plus.storage.setItem('isGesture', 'true');
						plus.storage.setItem('gestureVal', record[0]);
						setTimeout(function() {
							mui.back = function(event) {
								var webview = plus.webview.getWebviewById('gesture-password');
								plus.webview.close(webview);
							}
							mui.back();
						}, 200);
					} else {
						$('.password-error').text('两次手势不一致,请重新绘制');
					}
					rs.sender.clear();
					record = [];
				} else {
					$('.password-error').text('');
					plus.nativeUI.toast('请确认手势绘制');
					rs.sender.clear();
				}
			} else {
				var gestureVal = plus.storage.getItem('gestureVal');
				if(gestureVal == rs.points.join('')) {
					rs.sender.clear();
					var webview = plus.webview.getWebviewById('gesture-password');
					plus.webview.close(webview);
				} else {
					tryNumber--;
					rs.sender.clear();
					if(tryNumber > 0) {
						$('.password-error').text('密码错误，您还可以输入 ' + tryNumber + ' 次');
					} else {
						popup('您已连续5次输错手势，请重新登录', '确认', function() {
							layer.closeAll();
							outlogin();
							mui.openWindow({
								id: 'login'
							});
							var webview = plus.webview.getWebviewById('gesture-password');
							plus.webview.hide(webview);
						});
					}
				}
			}
		}, false);

		var backButtonPress = 0;
		mui.back = function(event) {
			if(!isSetting) {
				backButtonPress++;
				if(backButtonPress > 1) {
					plus.runtime.quit();
				} else {
					plus.nativeUI.toast('再按一次退出应用');
				}
				setTimeout(function() {
					backButtonPress = 0;
				}, 2000);
				return false;
			} else {
				var webview = plus.webview.getWebviewById('gesture-password');
				if(modify) {
					plus.webview.hide(webview);
				} else {
					plus.webview.close(webview);
				}
			}
		};

	});
});

function outlogin() {
	mui.ajax(path_http + 'user/logout.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				plus.storage.removeItem('userName');
				plus.storage.removeItem('userPsw');
				plus.storage.removeItem('isGesture');
			} else {
				mui.toast(data.errorMsg);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

//弹窗调用
function popup(content, btn, callback1, callback2) {
	layer.open({
		className: 'app-dialog',
		content: content,
		btn: btn ? btn : '确认', //立即登录
		shade: 'background-color: rgba(0,0,0,.3)',
		shadeClose: false,
		yes: callback1,
		no: callback2
	});
}