var pageIndex = 1;
var Vue_invest;
mui.ready(function() {
	Vue_invest = new Vue({
		el: '.mui-content',
		data: {
			currList: []
		},
		methods: {
			planBtn: function(list){
				dialogPlan(list.productId, list.productName);
			}
		}
	});

	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		self.addEventListener('hide', function() {
			plus.webview.close('invest-record');
		});
	});
	
	ajaxData();

	mui.init({
		pullRefresh: {
			container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
			down: {
				height: 40, //可选.默认50.触发上拉加载拖动距离
				auto: false, //可选,默认false.自动上拉加载一次
				color: '#FD984A', //可选，默认“#2BD009” 下拉刷新控件颜色
				style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
				contentrefresh: "正在刷新...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				callback: pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			},
			up: {
				height: 40, //可选.默认50.触发上拉加载拖动距离
				auto: false, //可选,默认false.自动上拉加载一次
				contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: pullupRefresh
			}
		}
	});
	
	function ajaxData(){
		mui.ajax(path_http + 'myAssets/investmentRecords.htm', {
			data: {
				investmentStatus: 1,
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if(data.result === 1) {
					Vue_invest.currList = convertData(data.investmentRecords);
				} else {
					autoLogin(ajaxData);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(type);
			}
		});
	}
	
	/**
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh() {
		pageIndex = 1;
		investRecordList(function(data) {
			Vue_invest.currList = convertData(data.investmentRecords);
			mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			mui('#refreshContainer').pullRefresh().refresh(true);
		});
	}
	/**
	 * 上拉加载具体业务实现
	 */
	function pullupRefresh() {
		pageIndex++;
		investRecordList(function(data) {
			if(data.investmentRecords.length > 0) {
				var newArray = Vue_invest.currList.concat(convertData(data.investmentRecords));
				Vue_invest.currList = '';
				Vue_invest.currList = newArray;
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
			}else{
				if(Vue_invest.currList.length > 10){
					mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
					return;
				}
			}
			mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
		}, pageIndex);
	}

});
/*
 * 回款计划
 */
var dialogPlan = function(bidId,bidName){
	
	mui.ajax(path_http + 'account/receivedPaymentsPlan.htm', {
		data: {
			bidId: bidId,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(result) {
        	if(result.result == 1) {// 成功
        		var planList = result.payments;
        		var resultHtml = "<div class='plan-container'>\
        						<div class='plan-close'></div>\
        						<div class='plan-title'>"+bidName+"回款计划</div>\
        						<div class='plan-list-head'><p>回款时间</p><p>回款总额</p><p>本期利息</p><p>状态</p></div>\
        						<ul class='plan-list'>";
        		if(planList.length>0){
        			for(var i=0; i<planList.length; i++) {
    					var item = planList[i];
    					if(item.status == 1){// 已回款
    						if(parseFloat(item.overDayCount)>0){// 逾期
    							resultHtml += "<li class='plan-overdue'><div>"+item.repaymentDate+"</div><div>￥"+item.amount+"</div><div>￥"+item.interest+"</div><div><span>逾期已回</span><div class='icon-right'></div></li>";
    							resultHtml += "<li class='plan-detail'>";
    							resultHtml += "<p class='plan-txt1'>由于借款人未按时还款导致出借人本期回款延迟。平台已启动逾期催收计划帮助出借人催收资金。在此期间我们将计算逾期费用，逾期费在回款后一并返还到出借人账户。</p>";
    							resultHtml += "<p class='plan-txt2'>催收计划：</p>";
    							resultHtml += "<p>逾期管理逾期30天内，每日进行人工电话、短信催收。</p>";
    							resultHtml += "<p>逾期30天时，解除合同并发送律师函。</p>";
    							resultHtml += "<p>逾期30天-90天内，持续催收并准备诉讼材料。</p>";
    							resultHtml += "<p>逾期90天时，启动诉讼程序。</p>";
    							resultHtml += "<p class='plan-txt3'>实际回款时间："+item.realRepayDate+"</p>";
    							resultHtml += "<p>实际回款金额：￥"+item.havePayAmount+"</p>";
    							resultHtml += "<p>逾期费：￥"+item.overFee+"</p>";
    							resultHtml += "</li>";
    						}else{
    							resultHtml += "<li class='plan-done'><div>"+item.repaymentDate+"</div><div>￥"+item.amount+"</div><div>￥"+item.interest+"</div><div>已回款</div></li>"
    						}
    					}else if(item.status == 2){// 债券转让
    						resultHtml += "<li class='plan-done'><div>"+item.repaymentDate+"</div><div>￥"+item.amount+"</div><div>￥"+item.interest+"</div><div>已转让</div></li>"
    					}else{// 待回款
    						if(parseFloat(item.overDayCount)>0){
    							resultHtml += "<li class='plan-overdue'><div>"+item.repaymentDate+"</div><div>￥"+item.amount+"</div><div>￥"+item.interest+"</div><div><span>逾期</span><div class='icon-right'></div></div></li>";
    							resultHtml += "<li class='plan-detail'>";
    							resultHtml += "<p class='plan-txt1'>由于借款人未按时还款导致出借人本期回款延迟。平台已启动逾期催收计划帮助出借人催收资金。在此期间我们将计算逾期费用，逾期费在回款后一并返还到出借人账户。</p>";
    							resultHtml += "<p class='plan-txt2'>催收计划：</p>";
    							resultHtml += "<p>逾期管理逾期30天内，每日进行人工电话、短信催收。</p>";
    							resultHtml += "<p>逾期30天时，解除合同并发送律师函。</p>";
    							resultHtml += "<p>逾期30天-90天内，持续催收并准备诉讼材料。</p>";
    							resultHtml += "<p>逾期90天时，启动诉讼程序。</p>";
    							resultHtml += "<p class='plan-txt3'>实际回款时间：-</p>";
    							resultHtml += "<p>实际回款金额：-</p>";
    							resultHtml += "<p>逾期费：￥"+item.overFee+"（以借款人实际还款到账为准）</p>";
    							resultHtml += "</li>";
    						}else{
    							resultHtml += "<li class='plan-normal'><div>"+item.repaymentDate+"</div><div>￥"+item.amount+"</div><div>￥"+item.interest+"</div><div>待回款</div></li>";
    						}
    					}
        			}
        		}
        		resultHtml += "</ul></div>";
        		// 显示
        		layer.open({
        			className: 'dialog-plan',
        			content: resultHtml,
        			shade: 'background-color: rgba(0,0,0,.3)',
        			shadeClose: true,
        	    });
        	}else {
        		mui.toast("请刷新重试");
        	}
        },
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

/**
 * 请求列表数据
 */
function investRecordList(callback, pageIndex) {
	mui.ajax(path_http + 'myAssets/investmentRecords.htm', {
		data: {
			investmentStatus: 1,
			pageIndex: pageIndex,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				callback(data);
			} else {
				autoLogin(function(){
					mui.toast('请重新刷新');
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

function convertData(lists) {
	var items = [];
	lists.forEach(function(list) {
		var totalProfit = parseFloat(list.totalProfit).toFixed(2);
		var interestRate = parseFloat(list.interestRate) * 100;
		var productType = '';
		if(list.productType === 8) {
			productType = '复合';
		}

		items.push({
			productName: list.productName,
			productId: list.productId,
			totalProfit: totalProfit,
			userAmount: list.userAmount,
			interestRate: interestRate,
			investmentStartDate: list.investmentStartDate,
			investmentEndDate: list.investmentEndDate,
			productType: productType
		});
	});
	return items;
}