var Vue_invest;
var pageIndex = 1;
mui.ready(function() {
	Vue_invest = new Vue({
		el: '.mui-content',
		data: {
			compList: []
		},
		methods: {

		}
	});

	ajaxData();
	
	mui.plusReady(function () {
		var self = plus.webview.currentWebview();
		self.addEventListener('hide', function(){
			plus.webview.close('invest-record-history');
			plus.webview.close('invest-record');
		});
	});
	
	mui.init({
		pullRefresh: {
			container: "#investFinished", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
			down: {
				height: 50, //可选.默认50.触发上拉加载拖动距离
				auto: false, //可选,默认false.自动上拉加载一次
				color: '#FD984A', //可选，默认“#2BD009” 下拉刷新控件颜色
				style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
				contentrefresh: "正在刷新...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				callback: pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			},
			up: {
				height: 40, //可选.默认50.触发上拉加载拖动距离
				auto: false, //可选,默认false.自动上拉加载一次
				contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: pullupRefresh
			}
		}
	});
});

function ajaxData(){
	mui.ajax(path_http + 'myAssets/investmentRecords.htm', {
		data: {
			investmentStatus: 2,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if (data.result === 1) {
				Vue_invest.compList = convertData(data.investmentRecords);
			} else{
				autoLogin(ajaxData);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

/**
 * 请求列表数据
 */
function investRecordList(callback, pageIndex) {
	mui.ajax(path_http + 'myAssets/investmentRecords.htm', {
		data: {
			investmentStatus: 2,
			pageIndex: pageIndex,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				callback(data);
			} else {
				autoLogin();
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	pageIndex = 1;
	investRecordList(function(data) {
		Vue_invest.compList = convertData(data.investmentRecords);
		mui('#investFinished').pullRefresh().endPulldownToRefresh();
		mui('#investFinished').pullRefresh().refresh(true);
	});
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	pageIndex++;
	investRecordList(function(data) {
		if(data.investmentRecords.length > 0) {
			var newArray = Vue_invest.compList.concat(convertData(data.investmentRecords));
			Vue_invest.compList = '';
			Vue_invest.compList = newArray;
			mui('#investFinished').pullRefresh().endPullupToRefresh(false);
		}else{
			if(Vue_invest.compList.length > 10){
				mui('#investFinished').pullRefresh().endPullupToRefresh(true);
				return;
			}
		}
		mui('#investFinished').pullRefresh().endPullupToRefresh(false);
	}, pageIndex);
}

function convertData(lists){
	var items = [];
	lists.forEach(function(list){
		var totalProfit = parseFloat(list.totalProfit).toFixed(2);
		var interestRate = parseFloat(list.interestRate)*100;
		var productType = '';
		if(list.productType === 8){
			productType = '复合';
		}
		
		items.push({
			productName: list.productName,
			totalProfit: totalProfit,
			userAmount: list.userAmount,
			interestRate: interestRate,
			investmentStartDate: list.investmentStartDate,
			investmentEndDate: list.investmentEndDate,
			productType: productType
		});
	});
	return items;
}