var chartsData = {
	title: ['(全年注册人数：96855人)', '（全年总投资金额：66410004元）', '（全年上标总数：415个）', '（全年投资笔数：5837笔）'],
	subTitle: ['17年各季度用户增长数据', '17年各季度投资金额占比 单位：万元', '17年标的类型分布', '17年各投资笔数分布'],
	dataxAxis: [['第一季度', '第二季度', '第三季度', '第四季度'], ['第一季度', '第二季度', '第三季度', '第四季度'], ['3个月', '6个月', '12个月'], ['第一季度', '第二季度', '第三季度', '第四季度']],
	datayAxis: [[22995,3739,19737,50384], [237.99, 1081.97, 3290.78, 2030.3], [231, 117, 67], [149, 560, 3356, 1772]],
	maxY: [60000, 3500, 300, 4000]
};
$(function(){
	
	for (var i = 0; i < chartsData.title.length; i++) {
		var chart = document.getElementById(("reportChart" + (i+1)));
		var myChart = echarts.init(chart);
		var option = options(i);
	    myChart.setOption(option, true);
	}
	
	var reportPie = document.getElementById("reportPie");
	var pieChart = echarts.init(reportPie);
	optionPie = {
	    title : {
	        text: '标的金额分布',
	        x:'center',
	        top: 0,
	        textStyle: {
	        	color: '#333',
	        	fontSize: getAndroidDpr() || 32,
	        	fontWeight: 'normal',
	        }
	    },
	    tooltip : {
	        trigger: 'item',
	        formatter: "{a} <br/>{b} : {c} ({d}%)"
	    },
	    series : [
	        {
	            name: '金额占比',
	            type: 'pie',
	            radius : '55%',
	            center: ['50%', '50%'],
	            data:[
	                {value: 198, name: '198笔',itemStyle: {color: '#fed06a'},label: {show: true,formatter: ['{num|{b}}','{money|10万以下}'].join('\n'),rich: {num: {color: "#fe776d",fontSize: getAndroidDpr() || 24},money: {lineHeight: 30,color: "#666",fontSize: 14}}}},
	                {value: 103, name: '103笔',itemStyle: {color: '#8bd186'},label: {show: true,formatter: ['{num|{b}}','{money|16万-20万}'].join('\n'),rich: {num: {color: "#fe776d",fontSize: getAndroidDpr() || 24},money: {lineHeight: 30,color: "#666",fontSize: 14}}}},
	                {value: 76, name: '76笔',itemStyle: {color: '#a68efc'},label: {show: true,formatter: ['{num|{b}}','{money|20万以上}'].join('\n'),rich: {num: {color: "#fe776d",fontSize: getAndroidDpr() || 24},money: {lineHeight: 30,color: "#666",fontSize: 14}}}},
	                {value: 41, name: '41笔',itemStyle: {color: '#fd9fd5'},label: {show: true,formatter: ['{num|{b}}','{money|10万-15万}'].join('\n'),rich: {num: {color: "#fe776d",fontSize: getAndroidDpr() || 24},money: {lineHeight: 30,color: "#666",fontSize: 14}}}}
	            ],
	            labelLine: {
	            	length: 10,
	            	length2: 15,
	            	lineStyle: {color: '#fda456',width: 2}
	            },
	            itemStyle: {
	                emphasis: {
	                    shadowBlur: 10,
	                    shadowOffsetX: 0,
	                    shadowColor: 'rgba(0, 0, 0, 0.5)'
	                }
	            }
	        }
	    ]
	};
	
	if (optionPie && typeof optionPie === "object") {
		pieChart.setOption(optionPie, true);
	}
})

var getAndroidDpr = function getAndroidDpr(){
	var isAndroid = window.navigator.appVersion.match(/android/gi);
	var devicePixelRatio = window.devicePixelRatio;
	if(isAndroid){
		if (devicePixelRatio == 1) {
            return 24;
        }else {
            return 12;
        }
	}
};

function options(i){
	var index = i;
	return option = {
			grid: {
				left: '15%',
				right: '5%',
				bottom: '25%'
			},
		    title: [{
		        text: chartsData.title[index],
		        left: 0,
		        textStyle: {
		        	color: '#999',
		        	fontSize: getAndroidDpr() || 24,
		        	fontWeight: 'normal'
		        }
		    },{
		    	text: chartsData.subTitle[index],
		        bottom: '5%',
		        left: 'center',
		        textStyle: {
		        	color: '#333',
		        	fontSize: getAndroidDpr() || 32,
		        	fontWeight: 'normal',
		        }
		    }],
		    tooltip : {
		        trigger: 'item',
		        axisPointer : {            // 坐标轴指示器，坐标轴触发有效
		            type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
		        }
		    },
		    xAxis: {
		        data: chartsData.dataxAxis[index],
		        axisLabel: {
		            textStyle: {
		                color: '#999',
		                fontSize: getAndroidDpr() || 24
		            }
		        },
		        axisTick: {
		            show: false
		        },
		        axisLine: {
		            show: true,
		            lineStyle: {
		            	color: '#e6e6e6',
		            }
		        },
		        z: 10
		    },
		    yAxis: {
		    	max: chartsData.maxY[index],
		        axisLine: {
		            show: true,
		            lineStyle: {
		            	color: '#e6e6e6',
		            }
		        },
		        axisTick: {
		            show: false
		        },
		        splitLine: {
		        	show: false
		        },
		        axisLabel: {
		            textStyle: {
		            	color: '#999',
		                fontSize: getAndroidDpr() || 24,
		            }
		        }
		    },
		    series: [
		        { // For shadow
		            type: 'bar',
		            itemStyle: {
		                normal: {color: 'rgba(0,0,0,0.05)'},
		            },
		            animation: false
		        },
		        {
		            type: 'bar',
		            barWidth: 30,
		            barGap: '-100%',
		            barCategoryGap: 10,
		            itemStyle: {
		                normal: {
		                    color: new echarts.graphic.LinearGradient(
		                        0, 0, 0, 1,
		                        [
		                            {offset: 0, color: '#b4b1fb'},
		                            {offset: 1, color: '#8a86ec'}
		                        ]
		                    )
		                }
		            },
		            data: chartsData.datayAxis[index]
		        }
		    ],
		};
}