var vue_transaction;
var pageIndex = 1;
mui.ready(function() {
	vue_transaction = new Vue({
		el: '.mui-content',
		data: {
			transactionList: []
		},
		methods: {
			resetData: function() {
//				$.extend({}, this.$data, {
//					transactionList: []
//				});
			}
		}
	});
	
	getRecordsAll(function(list){
		vue_transaction.transactionList = convertList(list);
	},1);
	
	mui.init({
		pullRefresh: {
			container: "#financial-all", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
			down: {
				height: 50, //可选.默认50.触发上拉加载拖动距离
				auto: false, //可选,默认false.自动上拉加载一次
				color: '#FD984A', //可选，默认“#2BD009” 下拉刷新控件颜色
				style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
				contentrefresh: "正在刷新...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				callback: pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			},
			up: {
				height: 50, //可选.默认50.触发上拉加载拖动距离
				auto: false, //可选,默认false.自动上拉加载一次
				contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: pullupRefresh
			}
		}
	});

});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	pageIndex = 1;
	getRecordsAll(function(list) {
		vue_transaction.transactionList = convertList(list);
		mui('#financial-all').pullRefresh().endPulldownToRefresh();
		mui('#financial-all').pullRefresh().refresh(true);
	},1);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	pageIndex++;
	getRecordsAll(function(list) {
		if(list.length > 0) {
			var newArray = vue_transaction.transactionList.concat(convertList(list));
			vue_transaction.transactionList = '';
			vue_transaction.transactionList = newArray;
			mui('#financial-all').pullRefresh().endPullupToRefresh(false);
		}else{
			if(vue_transaction.transactionList.length > 10){
				mui('#financial-all').pullRefresh().endPullupToRefresh(true);
				return;
			}
		}
		mui('#financial-all').pullRefresh().endPullupToRefresh(false);
	}, pageIndex);
}

function getRecordsAll(callback, pageIndex) {
	mui.ajax(path_http + 'myAssets/transactionRecords.htm', {
		data: {
			pageIndex: pageIndex,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				callback(data.transactionRecords);
			} else {
				autoLogin(function(){
					mui.toast('请重新刷新');
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(TEXT.Ajaxerror);
		}
	});
}

function convertList(list) {
	var arrList = [];
	if(list && list.length > 0) {
		list.forEach(function(item) {
			arrList.push({
				typeName: item.transactionTypeName,
				details: item.details,
				transactionAmount: item.transactionAmount,
				transactionDate: convertDate(item.transactionDate)
			})
		})
	}
	return arrList;
}

function convertDate(date) {
	var year = new Date(date).getFullYear();
	var month = doubleNum(new Date(date).getMonth() + 1);
	var day = doubleNum(new Date(date).getDate());
	return year + '-' + month + '-' + day;
}

function doubleNum(num) {
	return(num < 10 ? '0' : '') + num;
}