var vue_transactionRight;
var pageIndex = 1;
mui.ready(function() {
	vue_transactionRight = new Vue({
		el: '.mui-content',
		data: {
			amountList: []
		},
		methods: {
			resetData: function() {
//				$.extend({}, this.$data, {
//					transactionList: []
//				});
			}
		}
	});
	
	mui.plusReady(function () {
		var self = plus.webview.currentWebview();
		self.addEventListener('hide', function(){
			plus.webview.close('transaction-records-right');
			plus.webview.close('transaction-records');
		});
	});
	
	getWithdrawCharge(function(list){
		vue_transactionRight.amountList = convertAmountList(list)
	},1);
	
	mui.init({
		pullRefresh: {
			container: "#financial-widthdraw-recharge", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
			down: {
				height: 50, //可选.默认50.触发上拉加载拖动距离
				auto: false, //可选,默认false.自动上拉加载一次
				color: '#FD984A', //可选，默认“#2BD009” 下拉刷新控件颜色
				style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
				contentrefresh: "正在刷新...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				callback: pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			},
			up: {
				height: 40, //可选.默认50.触发上拉加载拖动距离
				auto: false, //可选,默认false.自动上拉加载一次
				contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: pullupRefresh
			}
		}
	});
	
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	pageIndex = 1;
	getWithdrawCharge(function(list) {
		vue_transactionRight.amountList = convertAmountList(list);
		mui('#financial-widthdraw-recharge').pullRefresh().endPulldownToRefresh();
		mui('#financial-widthdraw-recharge').pullRefresh().refresh(true);
	},1);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	pageIndex++;
	getWithdrawCharge(function(list) {
		if(list.length > 0) {
			var newArray = vue_transactionRight.amountList.concat(convertAmountList(list));
			vue_transactionRight.amountList = '';
			vue_transactionRight.amountList = newArray;
			mui('#financial-widthdraw-recharge').pullRefresh().endPullupToRefresh(false);
		}else{
			if(vue_transactionRight.amountList.length > 10){
				mui('#financial-widthdraw-recharge').pullRefresh().endPullupToRefresh(true);
				return;
			}
		}
		mui('#financial-widthdraw-recharge').pullRefresh().endPullupToRefresh(false);
	}, pageIndex);
}

function doubleNum(num) {
	return(num < 10 ? '0' : '') + num;
}

function convertDate(date) {
	var year = new Date(date).getFullYear();
	var month = doubleNum(new Date(date).getMonth() + 1);
	var day = doubleNum(new Date(date).getDate());
	return year + '-' + month + '-' + day;
}

function convertAmountList(lists) {
	var items = [];
	var type = '';
	var state = ''
	if(lists && lists.length > 0) {
		lists.forEach(function(list) {
			if(list.type === 0) {
				type = '充值'
			} else {
				type = '提现'
			}
			switch(list.status) {
				case 0:
					state = '失败';
					break;
				case 1:
					if(list.type === 0) {
						state = '充值成功';
					} else if(list.remitStatus === 1) {
						state = '打款成功';
					} else if(list.remitStatus === 2) {
						state = '打款失败';
					} else if(list.remitStatus === 3) {
						state = '在途';
					} else {
						state = '申请已提交';
					}
					break;
				case 2:
					state = '失败';
					break;
				case 3:
					state = '申请中';
					break;
				case 4:
					list.type === 0 ? state = '未支付' : state = '未确认'
					break;
				case 30:
					state = '失败';
					break;
				case 40:
					state = '审核中';
					break;
				default:
					break;
			};
			items.push({
				type: type,
				amount: list.amount,
				date: convertDate(list.date),
				state: state
			});
		});
	}
	return items;
}

function getWithdrawCharge(callback, pageIndex){
	mui.ajax(path_http + 'myAssets/rechargeOrWithdrawRecord.htm', {
		data: {
			pageIndex: pageIndex,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				callback(data.records);
			} else {
				autoLogin(function(){
					mui.toast('请重新刷新');
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(TEXT.Ajaxerror);
		}
	});
}
