mui.ready(function() {
	var message_vue = new Vue({
		el: '.message-container',
		data: {
			accountList: [],
			bulltinList: []
		}
	});

	var getAccount = new Promise(function(resolve, reject) {
		mui.ajax(path_http + 'myAssets/messageCenter.htm', {
			data: {
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if(data.result === 1) {
					resolve(data.MessageDetails);
				} else {
					mui.toast(data.errorMsg);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(data.type);
			}
		});
	});
	var getBulltin = new Promise(function(resolve, reject) {
		mui.ajax(path_http + 'myAssets/bulletin.htm', {
			data: {
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if(data.result === 1) {
					resolve(data.MessageDetails);
				} else {
					mui.toast(data.errorMsg);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(data.type);
			}
		});
	});

	var markMessage = new Promise(function(resolve, reject) {
		mui.ajax(path_http + 'myAssets/markMessageRead.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				resolve(data);
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(data.type);
			}
		});
	});

	Promise.all([getAccount, getBulltin, markMessage]).then(function(result) {
		message_vue.accountList = convertAccount(result[0]);
		message_vue.bulltinList = convertAccount(result[1]);
	});

	mui('.message-container').on('tap', '.message-nav-account', function() {
		slideRight();
	});
	mui('.message-container').on('tap', '.message-nav-bulltin', function() {
		slideLeft();
	});
	mui('.message-container').on('swipeleft', '.message-list-account', function() {
		slideLeft();
	});
	mui('.message-container').on('swiperight', '.message-list-bulltin', function() {
		slideRight();
	});

	mui('.message-container').on('tap', '.message-list-account li', function() {
		$(this).find('.message-content').toggleClass('message-unexpand');
		$(this).find('img').attr('src', '../../images/message-center/message-readed.png');
	});

	mui('.message-container').on('tap', '.message-list-bulltin li', function() {
//		$(this).find('.message-content').toggleClass('message-unexpand');
//		$(this).find('img').attr('src', '../../images/message-center/message-readed.png');
		$(this).find('.message-bulltin-content').slideToggle();
	});

	mui('.message-container').on('tap', '.mark-readed-all', function() {
		mui.toast('标记成功！')
	});
});

function convertAccount(data) {
	var list = [];
	var date;
	var isRead;
	data.forEach(function(item) {
		date = convertDate(item.messageTime);
		if(item.hasRead === 1) {
			isRead = true;
		} else {
			isRead = false;
		}
		list.push({
			messageId: item.messageId,
			messageTitle: $.trim(item.messageTitle),
			details: item.details,
			date: date,
			isRead: isRead
		});
	});
	return list;
}

function convertDate(date) {
	var year = new Date(date).getFullYear();
	var month = doubleNum(new Date(date).getMonth() + 1);
	var day = doubleNum(new Date(date).getDate());
	return year + '-' + month + '-' + day;
}

function doubleNum(num) {
	return(num < 10 ? '0' : '') + num;
}

function slideLeft() {
	$('.message-list-wrapper').removeClass('slide-right');
	$('.message-list-wrapper').addClass('slide-left');

	$('.message-nav-bulltin').addClass('message-select');
	$('.message-nav-account').removeClass('message-select');
};

function slideRight() {
	$('.message-list-wrapper').removeClass('slide-left');
	$('.message-list-wrapper').addClass('slide-right');

	$('.message-nav-account').addClass('message-select');
	$('.message-nav-bulltin').removeClass('message-select');
}