mui.ready(function() {
	var leftMoney, usableBalance;
	mui.init({
		swipeBack: true,
		pullRefresh: {
			container: '#product-invest',
			down: {
				style: 'circle',
				color: '#FD984A',
				height: 50,
				callback: function() {
					mui.trigger(window, 'init', {
						productId: Vue_invest.productId,
					});
					mui('#product-invest').pullRefresh().endPulldownToRefresh();
				}
			}
		}
	});

	var Vue_invest = new Vue({
		el: '#productInvest',
		data: getDefaultData(),
		methods: {
			resetData: function() {
				$.extend({}, this.$data, getDefaultData());
			}
		}
	});

	mui('#productInvest').on('tap', '.bid-invest-confrim', function(e) {
		var investAmount = $('#investAmount').val();
		if(investAmount == null || investAmount == "") {
			popup("请输入投资金额");
			return;
		}
		investAmountInt = parseInt($("#investAmount").val());
		if(investAmountInt < 100) {
			popup("最低投资金额为100元");
			return;
		}
		if(investAmountInt > parseInt(leftMoney)) {
			popup("可投余额仅剩" + leftMoney + "元，请重新输入投资金额");
			return;
		}
		if(parseInt(usableBalance) < investAmountInt) {
			popup("账户余额不足，请先充值", ['立即充值', '我知道了'], function() {
				mui.openWindow('../account/recharge.html', 'recharge', {});
			});
			return;
		}

		riskPop(function() {
			layer.closeAll();
			var nextPage = plus.webview.getWebviewById('product-payment');
			mui.fire(nextPage, 'init', {
				productId: Vue_invest.productId,
				investAmount: investAmount,	//投资金额
				redEnvId: Vue_invest.redEnvId, //红包id
				interestId: Vue_invest.interestId, //加息券id
				profitRate: Vue_invest.profitRate,
				rateDuration: Vue_invest.rateDuration,
				couponDesc: Vue_invest.couponDesc,
				productName: Vue_invest.productName
			});
			mui.openWindow({
				id: 'product-payment'
			});
		})
	});
	mui('#productInvest').on('tap', '.bid-recharge', function() {
		mui.openWindow('../account/recharge.html', 'recharge', {});
	});
	//
	mui('#productInvest').on('tap', '.protocol-risk-tip', function() {
		riskPop(function() {
			layer.closeAll();
		})
	});
	//
	$('.bid-invest-input').on('input', function(e) {
		var rate = parseFloat(Vue_invest.profitRate) * 0.01;
		calcProfit(Vue_invest.productType, rate, Vue_invest.productDuration);
	});

	mui('#productInvest').on('tap', '.bid-invest-all', function() {
		if(leftMoney > usableBalance) {
			$('.bid-invest-input').val(usableBalance);
		} else {
			$('.bid-invest-input').val(leftMoney);
		}
		var rate = parseFloat(Vue_invest.profitRate) * 0.01;
		calcProfit(Vue_invest.productType, rate, Vue_invest.productDuration);
	});

	//选择福利券
	mui('#productInvest').on('tap', '#available_welfare', function() {
		$('#investAmount').blur();
		var nextPage = plus.webview.getWebviewById('welfare-coupon');
		var amount = $('#investAmount').val();
		mui.fire(nextPage, 'init', {
			amount: amount,
			productId: Vue_invest.productId
		});
		mui.openWindow({
			id: 'welfare-coupon'
		});
	});
	//页面初始触发事件
	window.addEventListener('init', function(event) {
		Vue_invest.productId = event.detail.productId;
		var getProductInfo = new Promise(function(resolve, reject) {
			//产品信息接口
			mui.ajax(path_http + 'products/regularProductInfo.htm', {
				data: {
					productId: Vue_invest.productId,
					APP_SOURCE: TEXT.APP_SOURCE
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					if(data.result == 1) {
						resolve(data);
					} else {
						reject(data.errorMsg);
					}
				},
				error: function(xhr, type, errorThrown) {
					reject(type);
				}
			});
		});

		var getUserInfo = new Promise(function(resolve, reject) {
			//用户信息接口
			mui.ajax(path_http + 'myAssets/userTotalInfo.htm', {
				data: {
					APP_SOURCE: TEXT.APP_SOURCE
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					if(data.result == 1) {
						resolve(data.usableBalance);
					} else {
						reject(data);
					}
				},
				error: function(xhr, type, errorThrown) {
					reject(type);
				}
			});
		});

		var getRedEnvelopeCount = new Promise(function(resolve, reject) {
			mui.ajax(path_http + 'user/getRedEnvelopeCount.htm', {
				data: {
					productID: Vue_invest.productId,
					APP_SOURCE: TEXT.APP_SOURCE
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒
				success: function(data) {
					if(data.result === 1) {
						resolve(data.redEnvelopeCount);
					} else {
						reject(data);
					}
				},
				error: function(xhr, type, errorThrown) {
					reject(type);
				}
			});
		});

		//处理回调方法
		Promise.all([getProductInfo, getUserInfo, getRedEnvelopeCount]).then(function(result) {
			var rateDuration = '';
			var proType = result[0].productType;
			if(proType == 8) {
				rateDuration = result[0].productDuration + "个月";
			} else if(proType == 3) {
				rateDuration = result[0].productDuration + "天";
			}
			Vue_invest.productType = proType;
			Vue_invest.productDuration = result[0].productDuration;
			Vue_invest.productName = result[0].productName;
			//期限
			Vue_invest.rateDuration = rateDuration;
			//利率
			Vue_invest.profitRate = (result[0].profitRate * 100).toFixed(1);
			//可用余额
			Vue_invest.leftMoney = toThousands(result[0].leftMoney);

			Vue_invest.usableBalance = toThousands(result[1]);
			Vue_invest.redEnvelopeCount = result[2];

			leftMoney = result[0].leftMoney;
			usableBalance = result[1];
		}).catch(function(error) {
			if(error.errorCode && error.errorCode === 105) {
				autoLogin(function(parms){
					var webView = plus.webview.getWebviewById('product-invest');
					mui.fire(webView, 'init',parms);
				},{'productId': Vue_invest.productId});
			} else {
				mui.alert(error, '', '确定', function(e) {}, 'div')
			}
		});

		//预加载福利券
		mui.preload({
			url: 'welfare-coupon.html',
			id: 'welfare-coupon',
		});

	});

	window.addEventListener('getWelfare', function(event) {
		var redEnvId = event.detail.redEnvId;
		var interestId = event.detail.interestId;
		var text = event.detail.coupon;
		Vue_invest.couponDesc = text;
		Vue_invest.redEnvId = redEnvId;
		Vue_invest.interestId = interestId;
		$("#available_welfare").text(text);
	});

	mui.plusReady(function() {
		mui.preload({
			url: 'product-payment.html',
			id: 'product-payment',
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});

		//返回上一页
		var self = plus.webview.currentWebview();
		//添加hide事件，清空页面数据，滚动到最顶部
		self.addEventListener('hide', function(e) {
			window.scrollTo(0, 0);
			Vue_invest.resetData();
		}, false);
	})

});

function getDefaultData() {
	return {
		productName: '',
		productId: '',
		productType: '',
		investAmount: '',
		profitRate: '',
		rateDuration: '',
		productDuration: '',
		redEnvId: '',
		interestId: '',
		redEnvelopeCount: '',
		usableBalance: '',
		leftMoney: '',
		couponDesc: ''
	}
}

//金额格式化千分位
function toThousands(num) {
	var num = (num || 0).toString(),
		result = '';
	var numArr = num.split('.');
	while(numArr[0].length > 3) {
		result = ',' + numArr[0].slice(-3) + result;
		numArr[0] = numArr[0].slice(0, numArr[0].length - 3);
	}
	if(numArr[0]) {
		result = numArr[0] + result;
	}
	if(numArr[1]) {
		result = result + '.' + numArr[1];
	}
	return result;
}
//风险提示弹窗
var riskPop = function(callback) {
	//弹出框
	layer.open({
		className: 'dialog-risk',
		content: '<div class="dialog-risk-wrapper">\
	    			<div class="dialog-risk-head">网络借贷风险及禁止性行为告知函</div>\
	    			<div class="dialog-risk-content">\
				    	<p>亲爱的蜂鸟金融用户：</p>\
				    	<p>鉴于网络借贷过程中，可能面临多种风险因素，蜂鸟金融特此温馨提示您，在进行网络借贷交易前，仔细阅读网络借贷风险及禁止性行为告知函（以下称本告知函）内容，全面认识网络借贷的风险、特性及禁止性行为，认真考虑本平台服务存在的各项风险因素及禁止性行为，并充分考虑自身的投资风险意识、风险识别能力和风险承受能力，谨慎做出接受服务和出借的决策。</p>\
	    				<p class="risk-black">网络借贷风险</p>\
	    				<p class="risk-black">1.法律和政策风险</p>\
				        <p>法律法规的变化，货币政策、财政政策、行业政策的调整，以及监管部门对金融市场和网贷行业监管政策的调整，均可能影响本次借款的资金成本和履约表现，从而产生本息损失的风险。</p>\
				        <p class="risk-black">2.市场风险</p>\
				        <p>网络借贷行业因受经济因素、政治因素等各种因素影响而引起的波动，从而会引起的相应风险。</p>\
				        <p class="risk-black">3.经济周期风险</p>\
				        <p>经济运行具有周期性的特点，全球宏观经济运行状况将对出借人获得期待利息产生影响，从而产生的风险。</p>\
				        <p class="risk-black">4.借款人信用风险</p>\
				        <p>借款人因经验及能力不足风险、婚姻及家庭不稳定风险、居住不稳定风险、品质及道德风险、健康风险、信用风险、经营风险、股权风险、管理不足风险、还款能力不足风险、过度负债风险等原因，未按照合同约定还款，导致出借人的出借本金和利息无法按时回收的风险。</p>\
				        <p class="risk-black">5.经营风险</p>\
				        <p>网络借贷信息中介机构承诺将按照相关法律法规的规定进行运营及管理，但无法保证永久符合相关法律和监管部门的要求。如网络借贷信息中介机构无法继续经营网络借贷信息中介业务或发生重大业务调整，或财产状况发生重大变化，则可能会对出借人产生不利影响。</p>\
				        <p>网络借贷信息中介机构有权将借款人信息复核、贷后跟踪等用户服务事项以委托服务/服务外包等方式交由其他机构办理，因合作机构不符合监管部门规定的资质，或被监管部门撤销相关业务许可、责令停业整顿等原因不能正常履行职责，或不具备提供服务的相关条件、或因管理不善，或发生停业、解散、破产、被吊销营业执照等情形，可能会给出借人带来一定的风险。</p>\
				        <p class="risk-black">6.资金损失风险</p>\
				        <p>网络借贷信息中介机构将按照依法、诚信、自愿、公平的原则为出借人和借款人提供信息中介服务，维护出借人与借款人的合法权益。但网络借贷信息中介机构不提供增信服务，不承担借贷违约风险。出借人和借款人应当遵循借贷自愿、诚实守信、责任自负、风险自担的原则承担借贷风险，出借人自行承担借贷产品的本息损失风险。</p>\
				        <p class="risk-black">7.资金回收风险</p>\
				        <p>针对出借人出借本金或者回款再出借资金，网络借贷信息中介机构会积极协助出借人寻找、推荐借款人，以完成资金出借、获取利息之目的，但寻找、推荐借款人日期存在一定不确定性，会导致出借人在出借期限届满后可能无法完全回收出借资金和获得利息。</p>\
				        <p class="risk-black">8.操作或技术风险</p>\
				        <p>操作或技术风险是指网络借贷信息中介机构、支付机构或资金存管机构在业务操作过程中，因内部控制存在缺陷或者人为因素造成操作失误或违反操作规程等引致的风险，例如交易错误、IT系统故障等风险。</p>\
				        <p class="risk-black">9.不可抗力风险</p>\
				        <p>战争、自然灾害等不可抗力的出现，可能导致借贷本息遭受损失。代理机构违约等超出网络借贷信息中介机构自身直接控制能力范围之外的风险，也可能导致出借人的利益受损，从而带来风险。</p>\
				        <p class="risk-black">禁止性行为揭示</p>\
				        <p>根据《网络借贷信息中介机构业务活动管理暂行办法》的相关规定，您作为出借人应当履行以下义务</p>\
				        <p>(1)向蜂鸟金融平台提供真实、准确、完整的身份等信息；</p>\
				        <p>(2)出借资金为来源合法的自有资金；</p>\
				        <p>(3)了解融资项目信贷风险，确认具有相应的风险认知和承受能力；</p>\
				        <p>(4)自行承担借贷产生的本息损失；</p>\
				        <p>(5)借贷合同及有关协议约定的其他义务。</p>\
				        <p>您应当知悉，蜂鸟金融平台作为网络借贷信息中介机构，不得从事或接受您委托从事如下禁止性行为：</p>\
				        <p>(1)为自身或变相为自身融资；</p>\
				        <p>(2)直接或间接接受、归集出借人的资金；</p>\
				        <p>(3)直接或变相向出借人提供担保或者承诺保本保息；</p>\
				        <p>(4)自行或委托、授权第三方在互联网、固定电话、移动电话等电子渠道以外的物理场所进行宣传或推介融资项目；</p>\
				        <p>(5)发放贷款，但法律法规另有规定的除外；</p>\
				        <p>(6)将融资项目的期限进行拆分；</p>\
				        <p>(7)自行发售理财等金融产品募集资金，代销银行理财、券商资管、基金、保险或信托产品等金融产品；</p>\
				        <p>(8)开展类资产证券化业务或实现以打包资产、证券化资产、信托资产、基金份额等形式的债权转让行为；</p>\
				        <p>(9)除法律法规和网络借贷有关监管规定允许外，与其他机构投资、代理销售、经纪等业务进行任何形式的混合、捆绑、代理；</p>\
				        <p>(10)虚构、夸大融资项目的真实性、收益前景，隐瞒融资项目的瑕疵及风险，以歧义性语言或其他欺骗性手段等进行虚假片面宣传或促销等，捏造、散布虚假信息或不完整信息损害他人商业信誉，误导出借人或借款人；</p>\
				        <p>(11)向借款用途为投资股票、场外配资、期货合约、结构化产品及其他衍生品等高风险的融资提供信息中介服务；</p>\
				        <p>(12)从事股权众筹等业务；</p>\
				        <p>(13)法律法规、网络借贷有关监管规定禁止的其他活动。</p>\
				        <p class="risk-black">您在蜂鸟金融平台进行注册或出借前，应当仔细阅读本告知书、并独立作出是否接受服务和出借的决定，点击确认便视为您已经充分悉知网络借贷风险及禁止性内容，并自愿承担由此带来的一切后果，授权并同意蜂鸟金融平台使用其合作方杭州天谷信息科技有限公司提供的电子签名、数字证书、电子合同存储、时间戳等电子合同服务。如您不理解或不接受本告知函内容，请勿点击确认或在蜂鸟金融平台进行任何出借。</p>\
				        <p>告知方：深圳市迅雷金融信息服务有限公司</p>\
	    			</div>\
	    		</div>',
		btn: '确定',
		shade: 'background-color: rgba(0,0,0,.3)',
		shadeClose: true,
		yes: callback
	});
}

// 实际预计计算
function calcProfit(bidType, rate, investmentTerm) {
	var val = $("#investAmount").val();
	if(val == "" || val == null) {
		$("#profit-tips").html("历史预期获得收益：--");
		return;
	}
	var invest_amount = parseInt(val); // 投资金额

	if(bidType == 8) {
		// 等额本息产品
		var month_rate = rate / 12;
		var pow = Math.pow((1 + month_rate), investmentTerm);
		var profit = invest_amount * month_rate * pow / (pow - 1);
		profit = profit.toFixed(2);
		$("#profit-tips").text("每月还款：" + profit + "元 × " + investmentTerm + "期");
	} else if(bidType == 3) {
		// 按月还息产品
		var day_rate = rate / 365;
		var months = parseInt(investmentTerm / 30);
		var profit = day_rate * invest_amount * investmentTerm / months;
		var profitStr = profit.toFixed(2);
		var income = parseFloat(profitStr) * months;
		$("#profit-tips").text("历史预期获得收益：" + income.toFixed(2) + "元");
	} else if(bidType != 1) {
		// 定期产品
		var profit = invest_amount * rate * investmentTerm / 365;
		profit = profit.toFixed(2);
		$("#profit-tips").text("历史预期获得收益：" + profit + "元");
	} else {
		// 活期产品
		var profit = invest_amount * rate * 30 / 365;
		profit = profit.toFixed(2);
		$("#profit-tips").text("历史预期30日收益：" + profit + "元");
	}
}

//弹窗调用
function popup(content, btn, callback1, callback2) {
	layer.open({
		className: 'app-dialog',
		content: content,
		btn: btn ? btn : '我知道了', //立即登录
		shade: 'background-color: rgba(0,0,0,.3)',
		shadeClose: false,
		yes: callback1,
		no: callback2
	});
}