mui.ready(function() {
	mui.init({
		swipeBack: true
	});

	var vue_record = new Vue({
		el: '#prooductRecord',
		data: {
			recordList: [],
			productId: ''
		}
	});

	window.addEventListener('init', function(event) {
		vue_record.productId = event.detail.productId;
		mui.ajax(path_http + 'products/transactionRecords.htm', {
			data: {
				productId: vue_record.productId,
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒
			success: function(data) {
				if(data.result === 1) {
					vue_record.recordList = convertRecord(data.transactionRecords);
				}else{
					var isLogin = plus.storage.getItem('userName');
					if(isLogin && isLogin.length > 0) {
						autoLogin(ajaxSetting);
					}else{
						toLogin('account-setting');
					}
				}
			},
			error: function(xhr, type, errorThrown) {
			}
		});
	});
})

function convertRecord(list) {
	var items = [];

	list.forEach(function(item) {
		var time = recordDate(item.transactionTime);

		items.push({
			userName: item.userName,
			time: time,
			money: item.transactionAmountDesc
		});
	});

	return items;
}

function recordDate(date) {
	var dateTime = new Date(date);
	var month = doubleNum(dateTime.getMonth() + 1);
	var day = doubleNum(dateTime.getDate());
	var hours = doubleNum(dateTime.getHours());
	var minutes = doubleNum(dateTime.getMinutes());
	return month + '-' + day + ' ' + hours + ':' + minutes;
}

function doubleNum(num) {
	return(num < 10 ? '0' : '') + num;
}