mui.ready(function() {
	mui.init({
		swipeBack: true
	});
	var vue_welfare = new Vue({
		el: '#welfareCoupon',
		data: {
			welfareList: [],
			welfareItems: [],
			amout: '',
			id: ''
		}
	});

	window.addEventListener('init', function(event) {
		vue_welfare.amout = event.detail.amount;
		var productId = event.detail.productId;

		mui.ajax(path_http + 'products/getWelfareCoupon.htm', {
			data: {
				id: productId,
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if(data.result == 1) {
					vue_welfare.welfareList = convert(data.redEnvs);
					vue_welfare.welfareItems = convertCoupons(data.iCoupons);
				}
				if(data.errorCode && data.errorCode === 105) {
					toLogin('welfare-coupon', {
						'productId': productId,
						'amount': vue_welfare.amout
					});
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(type);
			}
		});

	});

	mui('#welfareCoupon').on('tap', '.redPackets-container', function() {
		if(vue_welfare.amout && vue_welfare.amout.length > 0) {
			var _this = $(this);
			var redEnvId = _this.attr('redEnvId') || '';
			var interestId = _this.attr('interestId') || '';
			var minAmount = parseInt(_this.attr('amount'));

			if(_this.attr('money')) {
				var coupon = "使用" + _this.attr('money') + "元红包";
			}
			if(_this.attr('rate')) {
				var coupon = "使用" + _this.attr('rate') + "%加息券";
			}

			if(vue_welfare.amout < minAmount) {
				mui.alert('该福利券使用的最小投资金额为' + minAmount + '元', ' ', '我知道了', function(e) {}, 'div');
				return;
			}
			$('.redPackets-container').removeClass('redPackets-selected');
			_this.addClass('redPackets-selected');

			var lastPage = plus.webview.getWebviewById('product-invest');
			mui.fire(lastPage, 'getWelfare', {
				redEnvId: redEnvId,
				interestId: interestId,
				coupon: coupon
			})
			mui.back();
		} else {
			mui.alert('请输入投资金额', ' ', '我知道了', function(e) {}, 'div');
		}
	});

	mui('#welfareCoupon').on('tap', '.redPackets-disable', function() {
		mui.back();
	});

});
//红包数据处理
function convert(data) {
	var newList = [];
	data.forEach(function(list) {
		var expirationDate = convertDate(list.expirationDate);
		newList.push({
			id: list.id,
			money: list.money,
			title: list.title,
			amountLimit: list.amountLimit,
			investmentTermLeft: list.investmentTermLeft,
			expirationDate: expirationDate
		});
	});
	return newList;
}
//加息券数据处理
function convertCoupons(data) {
	var newList = [];
	data.forEach(function(list) {
		var expirationDate = convertDate(list.expirationDate);
		newList.push({
			id: list.id,
			interestRate: (list.interestRate * 100),
			title: list.title,
			amountLimit: list.amountLimit,
			investmentTermLeft: list.investmentTermLeft,
			expirationDate: expirationDate
		});
	});
	return newList;
}

function convertDate(date) {
	var year = new Date(date).getFullYear();
	var month = doubleNum(new Date(date).getMonth() + 1);
	var day = doubleNum(new Date(date).getDate());
	return year + '-' + month + '-' + day;
}

function doubleNum(num) {
	return(num < 10 ? '0' : '') + num;
}