var vm = new Vue({
	el: '#store-detail',
	data: getDefaultData(),
	mounted: function() {

	}
});

mui.ready(function() {
	var item;
	window.addEventListener('init', function(event) {
		item = event.detail.item;
		
		ajaxStoreDetail(item.id);
	});
	
	function ajaxStoreDetail(id) {
		mui.ajax(path_http + 'integralMall/detail/' + id + '.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if(data.result === 1) {
					vm.status = false;
					if(data.bean.status === 1 && (data.bean.stock > data.bean.count)) {
						vm.status = true;
					}
					vm.name = data.bean.name;
					vm.type = data.bean.type;
					vm.maxBuyLimit = data.bean.maxBuyLimit;
					vm.price = data.bean.price;
					vm.count = data.bean.stock - data.bean.count;
					vm.imageUrl = data.bean.imageUrl;
				} else {
					mui.toast(data.errorMsg);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(type);
			}
		});
	}

	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		//添加hide事件，清空页面数据，滚动到最顶部
		self.addEventListener('hide', function(e) {
			window.scrollTo(0, 0);
		}, false);
	});

	mui('#store-detail').on('tap', '#buyProduct', function() {
		storePopover(item, callbackSubmit);
	});

	$(document).on('tap', '.adddress-manage', function() {
		if($(this).text() === "请输入收货地址") {
			$(this).text("").removeClass("placeholder-style");
		}
	});
	$(document).on('blur', '.adddress-manage', function() {
		if($(this).text() === "") {
			$(this).text("请输入收货地址").addClass("placeholder-style");
		}
	});
});

function getDefaultData() {
	return {
		type: 0,
		name: '',
		status: false,
		maxBuyLimit: '--',
		price: '--',
		count: 0,
		imageUrl: ''
	}
}