var vm = new Vue({
	el: '#store-list',
	data: {
		storeList: [],
		signList: [],
		curIsSign: '',
		integral: ''
	},
	methods: {
		open_detail: function(item) {
			var nextPage = plus.webview.getWebviewById('store-detail');
			mui.fire(nextPage, 'init', {
				item: item
			});
			mui.openWindow({
				id: 'store-detail'
			});
		},
		toExchange: function(item) {
			storePopover(item, callbackSubmit);
		},
		signIn: function() {
			mui.ajax(path_http + 'user/persionSign.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒
				success: function(data) {
					if(data.result === 1) {
						dialogSignIn(data.data);
					} else {
						mui.toast('您还未登录，请先进行登录');
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast(TEXT.Ajaxerror);
				}
			});
		},
		toRegular: function() {
			mui.openWindow({
				id: 'store-regular'
			});
		}
	},
	mounted: function() {
		mui.init({
			swipeBack: true
		});

	}
});

mui.ready(function() {
	window.addEventListener('init', function(event) {
		mui.preload({
			url: 'store-detail.html',
			id: 'store-detail',
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});

		mui.preload({
			url: 'store-regular.html',
			id: 'store-regular',
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});

		mui.preload({
			url: '../user/login.html',
			id: 'login',
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});

		ajaxInit();

	});
	$(document).on('tap', '.adddress-manage', function() {
		if($(this).text() === "请输入收货地址") {
			$(this).text("").removeClass("placeholder-style");
		}
	});
	$(document).on('blur', '.adddress-manage', function() {
		if($(this).text() === "") {
			$(this).text("请输入收货地址").addClass("placeholder-style");
		}
	});
});
//签到成功弹窗
function dialogSignIn(points) {
	layer.open({
		className: 'popup-store',
		content: '<div class="popup-head-content">\
	        			<img src="../../images/store/popup-head.png" class="popup-head"/>\
	        			<div class="popup-head-txt">\
		        			<p><span>+' + points + '</span>积分</p>\
		        			<p>签到成功！</p>\
	        			</div>\
	        		  </div>\
	        			<div class="store-popup-content">\
	        				<div class="store-popup-container">\
	        					<p>恭喜您获得<span class="store-popup-color">' + points + '</span>积分</p>\
	        					<div class="signIn-part-title signIn-regular-tip">签到规则</div>\
	        					<p><img src="../../images/store/popup-tips.png"/>签到将获得1-5分随机积分数</p>\
	        					<p><img src="../../images/store/popup-tips.png"/>2018年12月25-2019年1月15日期间签到，周二获得2倍积分，周三获得3倍积分……以此类推，最高可获得7倍积分</p>\
	        					<p><img src="../../images/store/popup-tips.png"/>每天只能签到1次</p>\
	        				</div>\
	        			</div>',
		shade: 'background-color: rgba(0,0,0,.7)',
		shadeClose: true,
		end: function() {
			var storeView = plus.webview.getWebviewById('html/store/store.html');
			mui.fire(storeView, 'init');
		}
	});
}

function ajaxInit() {
	mui.ajax(path_http + 'integralMall/list.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				//商品信息
				vm.storeList = convertStore(data.pager.list);
				//签到信息
				vm.signList = convertSign(data.signList);

				vm.curIsSign = data.curIsSign;
				vm.integral = data.account ? data.account.integral : 0;
			} else {
				var isLogin = plus.storage.getItem("userName");
				if(isLogin && isLogin.length > 0) {
					autoLogin(ajaxInit);
				} else {
					toLogin('html/store/store.html');
				}
			}
			plus.nativeUI.closeWaiting(); //这里监听页面是否加载完毕，完成后关闭等待框
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast(type);
		}
	});
}

function convertSign(data) {
	var list = [];
	data.forEach(function(item) {
		var isSign = false;
		var integral = '?';
		if(item.isSign === -1) {
			isSign = true;
			integral = '';
		}
		if(item.integral && item.integral > 0) {
			integral = '+' + item.integral;
		}
		list.push({
			signDateStr: item.signDateStr,
			isSign: isSign,
			integral: integral
		})
	});
	return list;
}

function convertStore(data) {
	var list = [];
	data.forEach(function(item) {
		var status = false;
		if(item.status === 1 && (item.stock > item.count)) {
			status = true;
		}
		list.push({
			id: item.id,
			name: item.name,
			type: item.type,
			imageUrl: item.imageUrl,
			price: item.price,
			status: status
		})
	});
	return list;
}