var delay = 150;
mui.ready(function() {
	mui('.wrapper-forget').on('tap', '.send-vertify', function() {

		if($(this).hasClass('send-state')) {
			popup('获取验证码的时间间隔为' + delay + '秒，请勿频繁操作');
		} else {
			sendSMSCode();
		}
	});

	//密码是否可见
	mui('.wrapper-forget').on('tap', '.password-visible', function() {
		var this_ = $(this);
		this_.toggleClass("password-display");
		if(this_.prev().val() && this_.prev().val().length > 0) {
			if(this_.hasClass('password-display')) {
				this_.prev().attr('type', 'text');
			} else {
				this_.prev().attr('type', 'password');
			}
		} else {
			if(this_.hasClass('password-display')) {
				this_.prev().attr('type', 'text');
			} else {
				this_.prev().attr('type', 'password');
			}
		}
	});
	//	$('.forget-password,.forget-password-confirm').on('input', function(){
	//		var this_ = $(this);
	//		if(this_.attr('type') == 'password' && this_.val()){
	//			this_.css('fontSize','.2rem');
	//		}else{
	//			this_.val(this_.val().replace(/\W/g,''));
	//			this_.css('fontSize','.28rem');
	//		}
	//	});

	// 验证码点击事件
	mui('.wrapper-forget').on('tap', '.forget-vertify-image', function() {
		var d = $(this).attr("src");
		var c = (new Date()).valueOf();
		var b = d.indexOf("?");
		if(b != -1) {
			d = d.substring(0, b)
		}
		d = d + "?timestamp=" + c;
		$(this).attr("src", d)
	});

	//点击确认
	mui('.wrapper-forget').on('tap', '.login-btn', function() {
		var tel = /^1[3|4|5|7|8][0-9]{9}$/;
		var psw = /^(([a-zA-Z]+[0-9]+)|([0-9]+[a-zA-Z]+))[a-z0-9]*$/i;

		var phone = $('#phone').val();
		if(!phone) {
			popup("手机号码不能为空");
			return;
		}
		if(!tel.test(phone)) {
			popup("输入手机号码格式不正确");
			return;
		}

		var code = $('#code').val();
		if(!code) {
			popup("请输入图形验证码");
			return;
		}

		var SMSCode = $('#SMSCode').val();
		if(!SMSCode) {
			popup("请输入短信验证码");
			return;
		}

		var forgetPassword = $('.forget-password').val();
		if(!forgetPassword) {
			popup("请设置新密码");
			return;
		}
		if(!psw.test(forgetPassword) || forgetPassword.length < 6 || forgetPassword.length > 16) {
			//新密码格式不对
			popup("密码需字母+数字组合，长度控制在6-16个字符");
			return;
		}

		var pswConfirmValue = $('.forget-password-confirm').val();
		if(forgetPassword !== pswConfirmValue) {
			//密码输入不一致
			popup("密码输入不一致，请检查后重新输入");
			return;
		}

		var md5 = hex_md5(forgetPassword);

		//			if (data.status == 1) {
		//				popup('密码修改成功','我知道了',redirectRccount);
		//			} else{
		//				popup(data.message);
		//			}
		mui.ajax(path_http + 'user/getBackPassword.htm', {
			data: {
				phone: phone,
				SMSCode: SMSCode,
				password: md5,
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if(data.result === 1) {
					$('#phone').val("");
					$('#code').val("");
					$('#SMSCode').val("");
					$(".forget-password").val("");
					$(".forget-password-confirm").val("");
					popup('密码修改成功', '确定', function() {
						mui.back();
					});
				} else {
					popup(data.errorMsg);
				}
			},
			error: function(xhr, type, errorThrown) {
				popup(type);
			}
		});

	});
});

//注册弹窗调用
function popup(content, btn, callback) {
	layer.open({
		className: 'popup-login',
		content: content,
		btn: btn ? btn : '我知道了', //立即登录
		shade: 'background-color: rgba(0,0,0,.3)',
		shadeClose: false,
		yes: callback
	});
}

//发送验证码
var sendSMSCode = function() {

	var phone = ($("#phone").val());
	var code = strTrim($("#code").val());

	if(phone.length <= 0) {
		popup("注册手机号不能为空");
		return;
	}
	var tel = /^1[3|4|5|7|8][0-9]{9}$/;
	if(!tel.test(phone)) {
		popup("请输入正确的手机号码");
		return;
	}

	if(code.length <= 0) {
		popup("图形验证码不能为空");
		return;
	}
	$.ajax({
		url: path_http + "user/sendSmsCodeForgetPassword.htm",
		async: false,
		data: {
			"verifyCode": code,
			"phone": phone,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: "json",
		type: "post",
		success: function(rt) {
			if(rt.result === 1) {
				if(delay == 150 || delay == 0) {
					sendSMS();
				}
			} else {
				popup(rt.errorMsg, '', function() {
					mui.trigger(mui('.forget-vertify-image')[0], 'tap');
					layer.closeAll();
				});
			}
		},
		error: function(e) {
			popup("短信验证码发送失败");

		}
	})
}

//发送验证码
function sendSMS() {
	if(delay > 1) {
		delay--;
		$('.send-vertify').text('已发送（' + delay + '）').addClass('send-state');
		setTimeout('sendSMS()', 1000);
	} else {
		$('.send-vertify').removeClass('send-state').text('获取验证码');
		delay = 150;
	}
}

//去掉左右空格
function strTrim(str) {
	if(str.length > 0) {
		return str.replace(/(^\s*)|(\s*$)/g, "");
	}
	return str;
}