mui.ready(function() {
	var webviewId;
	var obj;

	function plusReady() {
		mui.preload({
			url: '/html/user/forget-password.html',
			id: 'forget-password',
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});
		
		var self = plus.webview.currentWebview();
		//添加hide事件，清空页面数据，滚动到最顶部
		self.addEventListener('hide', function(e) {
			$('.login-phone').val('');
			$('.login-password').val('');
		}, false);
	}
	if(window.plus) {
		plusReady()
	} else {
		document.addEventListener('plusready', plusReady, false);
	}

	window.addEventListener('init', function(event) {
		webviewId = event.detail.webviewId;
		obj = event.detail.obj;
		
		mui.preload({
			url: '/html/account/gesture-password.html',
			id: 'gesture-password',
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});
	});

	mui('.login-wrapper').on('tap', '.login-btn', function() {
		$('.login-password').blur();
		$('.login-phone').blur();
		
		var name = $('.login-phone').val();
		var password = hex_md5($('.login-password').val());

		mui.ajax(path_http + 'user/login.htm', {
			data: {
				userName: name,
				password: password,
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒
			success: function(data, status, hxr) {
				if(data.result == 1) {
					$('.login-phone').val('');
					$('.login-password').val('');

					plus.storage.setItem('userName', name);
					plus.storage.setItem('userPsw', password);
					//触发详情页面的movieId事件
					var webview = plus.webview.getWebviewById('gesture-password');
					mui.fire(webview, 'init', {
						isSetting: true,
					});
					mui.openWindow({
						id: 'gesture-password'
					});
					
					if(webviewId){
						var webView2 = plus.webview.getWebviewById(webviewId);
						mui.fire(webView2, 'init',obj);
					}
					mui.back();
					
				} else {
					popup(data.errorMsg);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(type);
			}
		});
	});
	//密码是否可见
	mui('.login-wrapper').on('tap', '.password-visible', function() {
		var this_ = $(this);
		var loginPassword = $('.login-password');
		this_.toggleClass("password-display");
		if(this_.prev().val() && this_.prev().val().length > 0) {
			if(this_.hasClass('password-display')) {
				loginPassword.attr('type', 'text');
			} else {
				loginPassword.attr('type', 'password');
			}
		} else {
			if(this_.hasClass('password-display')) {
				loginPassword.attr('type', 'text');
			} else {
				loginPassword.attr('type', 'password');
			}
		}
	});
	//忘记密码
	mui('.login-wrapper').on('tap', '.login-toForgetpsw', function() {
		mui.openWindow({
			id: 'forget-password'
		});
//		mui.openWindow('forget-password.html','forget-password.html',{})
	});
	//注册
	mui('.login-wrapper').on('tap', '.login-toRegister', function() {
		mui.openWindow("/html/user/register.html", 'register');
	});
})

function intentPage() {
	var webViewLogin = plus.webview.getWebviewById('login');
	var webviewAccount = plus.webview.getWebviewById('html/account/account.html');
	mui.fire(webviewAccount, 'init', {});
	mui.openWindow('../../html/account/account.html', 'html/account/account.html');
	plus.webview.close(webViewLogin);
}

//弹窗调用
function popup(content, btn, callback1, callback2) {
	layer.open({
		className: 'app-dialog',
		content: content,
		btn: btn ? btn : '我知道了', //立即登录
		shade: 'background-color: rgba(0,0,0,.3)',
		shadeClose: false,
		yes: callback1,
		no: callback2
	});
}